Module tdlight.api
Package it.tdlight.jni

# Class TdApi.SetPassportElementErrors

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Function<TdApi.Ok>
it.tdlight.jni.TdApi.SetPassportElementErrors

Enclosing class:
  TdApi

public static final class TdApi.SetPassportElementErrors extends TdApi.Function<TdApi.Ok>
Informs the user that some of the elements in their Telegram Passport contain errors; for bots only. The user will not be able to resend the elements, until the errors are fixed.

Returns `Ok`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CONSTRUCTOR`
`TdApi.InputPassportElementError[]`
`errors`
The errors.
`long`
`userId`
User identifier.

## Constructor Summary

Constructors
Constructor
Description
`SetPassportElementErrors()`
Informs the user that some of the elements in their Telegram Passport contain errors; for bots only.
`SetPassportElementErrors(long userId, TdApi.InputPassportElementError[] errors)`
Informs the user that some of the elements in their Telegram Passport contain errors; for bots only.
`SetPassportElementErrors(DataInput input)`
Informs the user that some of the elements in their Telegram Passport contain errors; for bots only.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`

### Methods inherited from class it.tdlight.jni.TdApi.Function

`toString`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### userId

public long userId
User identifier.

### errors

public TdApi.InputPassportElementError[] errors
The errors.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  - Constant Field Values

## Constructor Details

### SetPassportElementErrors

public SetPassportElementErrors()
Informs the user that some of the elements in their Telegram Passport contain errors; for bots only. The user will not be able to resend the elements, until the errors are fixed.

Returns `Ok`

### SetPassportElementErrors

public SetPassportElementErrors(long userId, TdApi.InputPassportElementError[] errors)
Informs the user that some of the elements in their Telegram Passport contain errors; for bots only. The user will not be able to resend the elements, until the errors are fixed.

Returns `Ok`

Parameters:
  `userId` - long User identifier.
  `errors` - InputPassportElementError[] The errors.

### SetPassportElementErrors

public SetPassportElementErrors(DataInput input) throws IOException
Informs the user that some of the elements in their Telegram Passport contain errors; for bots only. The user will not be able to resend the elements, until the errors are fixed.

Returns `Ok`

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`